"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ERROR_MAP = exports.prefixId = exports.pluginPrefix = exports.CODES = void 0;
exports.CODES = {
    Generic: `10000`,
    MissingResource: `10001`,
};
exports.pluginPrefix = `gatsby-source-filesystem`;
function prefixId(id) {
    return `${exports.pluginPrefix}_${id}`;
}
exports.prefixId = prefixId;
var ReporterLevel;
(function (ReporterLevel) {
    ReporterLevel["Error"] = "ERROR";
})(ReporterLevel || (ReporterLevel = {}));
var ReporterCategory;
(function (ReporterCategory) {
    // Error caused by user (typically, site misconfiguration)
    ReporterCategory["User"] = "USER";
    // Error caused by Sanity plugin ("third party" relative to Gatsby Cloud)
    ReporterCategory["ThirdParty"] = "THIRD_PARTY";
    // Error caused by Gatsby process
    ReporterCategory["System"] = "SYSTEM";
    ReporterCategory["Plugin"] = "PLUGIN";
})(ReporterCategory || (ReporterCategory = {}));
var ReporterType;
(function (ReporterType) {
    // Error caused by user (typically, site misconfiguration)
    ReporterType["User"] = "USER";
    // Error caused by Sanity plugin ("third party" relative to Gatsby Cloud)
    ReporterType["ThirdParty"] = "THIRD_PARTY";
    // Error caused by Gatsby process
    ReporterType["System"] = "SYSTEM";
    ReporterType["Plugin"] = "PLUGIN";
})(ReporterType || (ReporterType = {}));
// TODO: Refactor to use contextual data instead of only context.sourceMessage
// once reporter.setErrorMap is guaranteed to be available
exports.ERROR_MAP = {
    [exports.CODES.Generic]: {
        text: (context) => context.sourceMessage,
        level: ReporterLevel.Error,
        type: ReporterType.Plugin,
    },
    [exports.CODES.MissingResource]: {
        text: (context) => context.sourceMessage,
        level: ReporterLevel.Error,
        type: ReporterType.Plugin,
        category: ReporterCategory.User,
    },
};
//# sourceMappingURL=error-utils.js.map