"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processData = void 0;
const processData = (item, createNodeId, createContentDigest, options) => {
    const nodeContentDigest = createContentDigest(item);
    const nodeId = item.id
        ? createNodeId(`dynamodb-${item.id}`)
        : nodeContentDigest;
    const nodeData = Object.assign({}, item, {
        id: nodeId,
        parent: null,
        children: [],
        internal: {
            mediaType: `text/html`,
            contentDigest: nodeContentDigest,
            type: options.typeName,
            content: JSON.stringify(item),
        },
    });
    return nodeData;
};
exports.processData = processData;
//# sourceMappingURL=utils.js.map